[PC-BSD Commits] r996 - in pbibuild/modules/assaultcube: . kmenu-dir overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Tue Dec 11 06:48:13 PST 2007
Author: kris
Date: 2007-12-11 06:48:12 -0800 (Tue, 11 Dec 2007)
New Revision: 996
Modified:
pbibuild/modules/assaultcube/kmenu-dir/assaultcube_server
pbibuild/modules/assaultcube/overlay-dir/PBI.RemoveScript.sh
pbibuild/modules/assaultcube/pbi.conf
Log:
Fixed assaultcube to remove the .assaultcube profile, and run the server
in a command-line mode
Modified: pbibuild/modules/assaultcube/kmenu-dir/assaultcube_server
===================================================================
--- pbibuild/modules/assaultcube/kmenu-dir/assaultcube_server 2007-12-11 14:33:52 UTC (rev 995)
+++ pbibuild/modules/assaultcube/kmenu-dir/assaultcube_server 2007-12-11 14:48:12 UTC (rev 996)
@@ -4,7 +4,7 @@
ExeNoDesktop: 0
ExeNoMenu: 0
ExeRunRoot: 0
-ExeRunShell: 0
+ExeRunShell: 1
ExeNotify: 1
ExeLink: 0
ExeWebLink: 0
Modified: pbibuild/modules/assaultcube/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/assaultcube/overlay-dir/PBI.RemoveScript.sh 2007-12-11 14:33:52 UTC (rev 995)
+++ pbibuild/modules/assaultcube/overlay-dir/PBI.RemoveScript.sh 2007-12-11 14:48:12 UTC (rev 996)
@@ -11,4 +11,22 @@
rm -fR /usr/local/libexec/assaultcube_client
rm -fR /usr/local/libexec/assaultcube_server
rm -fR /usr/local/share/assaultcube
-rm -fR /usr/local/share/doc/assaultcube
\ No newline at end of file
+rm -fR /usr/local/share/doc/assaultcube
+
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove AssaultCube user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.assaultcube" ]
+ then
+ rm -rf /home/${i}/.assaultcube
+ fi
+ done
+ fi
+fi
Modified: pbibuild/modules/assaultcube/pbi.conf
===================================================================
--- pbibuild/modules/assaultcube/pbi.conf 2007-12-11 14:33:52 UTC (rev 995)
+++ pbibuild/modules/assaultcube/pbi.conf 2007-12-11 14:48:12 UTC (rev 996)
@@ -32,6 +32,6 @@
# Build Key - Change this to anything else to trigger a rebuild
# - The rebuild will take place even if port is still the same ver
-BUILDKEY="22"
+BUILDKEY="02"
export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
More information about the Commits
mailing list